Page MenuHomePhabricator

[CMAKE] Update build on recent Haiku
ClosedPublic

Authored by korli on Feb 24 2016, 11:15 PM.

Details

Reviewers
rengolin
beanz
Summary

cmake build support on Haiku is lagging a bit.

This patch updates cmake build scripts to build on Haiku. It adds Haiku x86_64 to config.guess.
Please consider reviewing.

[ I have no idea what Chris Lattner phab account is :/ ]

Diff Detail

Event Timeline

korli updated this revision to Diff 49009.Feb 24 2016, 11:15 PM
korli retitled this revision from to [CMAKE] Update build on recent Haiku.
korli updated this object.
korli added reviewers: rengolin, beanz.
korli set the repository for this revision to rL LLVM.
korli added a subscriber: llvm-commits.
rengolin accepted this revision.Feb 25 2016, 6:29 AM
rengolin edited edge metadata.

Despite the GPL nature of config.guess, there are no changes in this patch that weren't made before {including by me), which were approved by various members of the community, including Chris Lattner. Not to mention that this config.guess was licensed GPLv2, so it should be ok.

I'm taking the leap of faith and approving this patch myself.

This revision is now accepted and ready to land.Feb 25 2016, 6:29 AM

Jerome, do you have commit access?

korli added a comment.Feb 25 2016, 7:49 AM

Jerome, do you have commit access?

I don't. Do I have to commit myself?

rengolin closed this revision.Feb 26 2016, 9:07 AM

No, just making sure you didn't. Committed in r262038.

cheers,
--renato